2018-06-22 09:51 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002364FSSCPgraphicspublic2012-12-18 14:36
ReporterFUBAR-BDHR 
Assigned ToValathil 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.13 
Target VersionFixed in Version 
Summary0002364: Thruster cones on weapons do not work
DescriptionWell the lab kind of does. It will draw the cones but only uses the effect defined for the first species in species_defs. It ignores all other species and even $Thruster Flame Effect: defined for that weapon in weapons.tbl.

In game no cones are rendered. Tested with near retail data. I say near because you really can't see it with the glows and trails turned on. To reproduce take any secondary (I used the cyclops) and removed the $Trail entry in the table. Then edit the corresponding pof and remove the thruster entry (and glow points if any) so only the modeled cone is left. Fire weapon in a mission. No cone.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012581

FUBAR-BDHR (developer)

Looks like they were broke in retail. So V put cones on all the secondary weapons but they never worked.

~0012585

FUBAR-BDHR (developer)

Some additional info. The game will render the cones only if an entry under Thrusters exists in PCS2. The lab will render it either way.

~0014505

MjnMixael (manager)

On current builds, missiles do use thruster cones and do obey '$Thruster Flame Effect:'. See the screenshot where I forced thruster01a.ani on a rockeye.

http://i282.photobucket.com/albums/kk264/mjnmixael/Private/ImageBin-13_zps3c0793fb.jpg

Additionally, of course weapons don't obey any other specie's defined thruster texture because weapons aren't sorted by species in any specific way that the game knows, as far as I know.

Finally, an update of this ticket is actually that the Lab doesn't obey '$Thruster Flame Effect:' at all. I've attached a weapons.tbl that forces the rockeye to use thruster01a.ani (orange instead of blue) to help test/fix that.

~0014518

Valathil (developer)

Fix committed to trunk@9450.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2010-12-30 16:47 FUBAR-BDHR New Issue
2010-12-30 17:22 FUBAR-BDHR Note Added: 0012581
2011-01-03 03:24 FUBAR-BDHR Note Added: 0012585
2012-12-17 22:47 MjnMixael Note Added: 0014505
2012-12-17 22:47 MjnMixael File Added: weapons.tbl
2012-12-18 14:35 Valathil Assigned To => Valathil
2012-12-18 14:35 Valathil Status new => assigned
2012-12-18 14:36 Valathil Changeset attached => fs2open trunk r9450
2012-12-18 14:36 Valathil Note Added: 0014518
2012-12-18 14:36 Valathil Status assigned => resolved
2012-12-18 14:36 Valathil Resolution open => fixed
+Issue History